---
id: ebookbay
name: EBookBay
description: "EBook Bay (EBB) is a Public Torrent Tracker for E-BOOKS"
language: en-US
type: public
encoding: UTF-8
requestDelay: 2
certificates:
  - 1dad798f690521cfb37d6817b66f1f08fe8c8f36 # using CA from audiobookbay.lu (sister site)
links:
  - https://ebb.la/
legacylinks:
  - http://ebb.la/

caps:
  categorymappings:
    - {id: "Action/Adventure", cat: Books/EBook, desc: "Action/Adventure"}
    - {id: "Animals", cat: Books/EBook, desc: "Animals"}
    - {id: "Arts", cat: Books/EBook, desc: "Arts"}
    - {id: "Audio Books", cat: Audio/Audiobook, desc: "Audio Books"}
    - {id: "Beauty", cat: Books/EBook, desc: "Beauty"}
    - {id: "Business", cat: Books/EBook, desc: "Business"}
    - {id: "Certification", cat: Books/EBook, desc: "Certification"}
    - {id: "Children/Kids", cat: Books/EBook, desc: "Children/Kids"}
    - {id: "Classic/Literary", cat: Books/EBook, desc: "Classic/Literary"}
    - {id: "Comics", cat: Books/Comics, desc: "Comics"}
    - {id: "Computer", cat: Books/EBook, desc: "Computer"}
    - {id: "Contemporary", cat: Books/EBook, desc: "Contemporary"}
    - {id: "Cooking", cat: Books/EBook, desc: "Cooking"}
    - {id: "Crafts & Hobbies", cat: Books/EBook, desc: "Crafts & Hobbies"}
    - {id: "Education", cat: Books/EBook, desc: "Education"}
    - {id: "Entertainment", cat: Books/EBook, desc: "Entertainment"}
    - {id: "Fantasy", cat: Books/EBook, desc: "Fantasy"}
    - {id: "Gardening", cat: Books/EBook, desc: "Gardening"}
    - {id: "Health", cat: Books/EBook, desc: "Health"}
    - {id: "Historical Fiction", cat: Books/EBook, desc: "Historical Fiction"}
    - {id: "History", cat: Books/EBook, desc: "History"}
    - {id: "Horror", cat: Books/EBook, desc: "Horror"}
    - {id: "Humorous", cat: Books/EBook, desc: "Humorous"}
    - {id: "Internet", cat: Books/EBook, desc: "Internet"}
    - {id: "Magazine", cat: Books/EBook, desc: "Magazine"}
    - {id: "Marketing", cat: Books/EBook, desc: "Marketing"}
    - {id: "Medical", cat: Books/EBook, desc: "Medical"}
    - {id: "Mystery/Suspense", cat: Books/EBook, desc: "Mystery/Suspense"}
    - {id: "Nonfiction", cat: Books/EBook, desc: "Nonfiction"}
    - {id: "Novel", cat: Books/EBook, desc: "Novel"}
    - {id: "Other", cat: Books/EBook, desc: "Other"}
    - {id: "Paranormal", cat: Books/EBook, desc: "Paranormal"}
    - {id: "Political", cat: Books/EBook, desc: "Political"}
    - {id: "Real Estate", cat: Books/EBook, desc: "Real Estate"}
    - {id: "Reference", cat: Books/EBook, desc: "Reference"}
    - {id: "Religion", cat: Books/EBook, desc: "Religion"}
    - {id: "Romance", cat: Books/EBook, desc: "Romance"}
    - {id: "Sci-Fi", cat: Books/EBook, desc: "Sci-Fi"}
    - {id: "Science", cat: Books/EBook, desc: "Science"}
    - {id: "Self-Help", cat: Books/EBook, desc: "Self-Help"}
    - {id: "Society", cat: Books/EBook, desc: "Society"}
    - {id: "Software", cat: Books/EBook, desc: "Software"}
    - {id: "Sports", cat: Books/EBook, desc: "Sports"}
    - {id: "Technical", cat: Books/EBook, desc: "Technical"}
    - {id: "Teen/Young Adult", cat: Books/EBook, desc: "Teen/Young Adult"}
    - {id: "Textbook", cat: Books/EBook, desc: "Textbook"}
    - {id: "Thriller", cat: Books/EBook, desc: "Thriller"}
    - {id: "Travel", cat: Books/EBook, desc: "Travel"}
    - {id: "Tutorial", cat: Books/EBook, desc: "Tutorial"}
    - {id: "Western", cat: Books/EBook, desc: "Western"}

  modes:
    search: [q]
    book-search: [q]
    music-search: [q]

settings: []

download:
  infohash:
    hash:
      selector: td:contains("Info Hash:") ~ td
      filters:
        - name: regexp
          args: ([A-F|a-f|0-9]{40})
    title:
      selector: div#content > div.poststuff > div.postname
      filters:
        - name: trim
        - name: validfilename

search:
  paths:
    # with just 5 results per page, try to grab up to 25 results
    # https://ebb.la/?s=teeth
    # https://ebb.la/page/2/?s=teeth
    - path: /
    - path: "page/2/"
    - path: "page/3/"
    - path: "page/4/"
    - path: "page/5/"
  inputs:
    s: "{{ .Keywords }}"

  headers:
    User-Agent: ["Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/115.0.0.0 Safari/537.36 Edg/115.0.1901.203"]

  rows:
    selector: "div#content > div.poststuff:has(~ div.entry a.download), div#content > div.poststuff ~ div.entry:has(a.download)"
    after: 1
    filters:
      - name: andmatch

  fields:
    category:
      selector: span.writer
      optional: true
      default: Other
      filters:
        - name: re_replace
          args: ["(?i)\\bEbooks?\\b", ""]
        - name: regexp
          args: "E book under:\\s+(.+?)\\s?\\\xA0"
    title:
      selector: div.postname a
    details:
      selector: a.detail
      attribute: href
      filters:
        - name: replace
          args: ["http:", "https:"]
    download:
      selector: a.detail
      attribute: href
      filters:
        - name: replace
          args: ["http:", "https:"]
    poster:
      selector: img[src^="http"]:not(img[src*="images/default_cover.jpg"])
      attribute: src
    date:
      text: now
    size:
      selector: p:contains("File Size")
      optional: true
      default: 0
      filters:
        - name: regexp
          args: "File Size: (.+?)s?$"
    seeders:
      selector: p:contains("Seeds")
      optional: true
      default: 0
      filters:
        - name: regexp
          args: "Seeds: (\\d+)"
    leechers:
      selector: p:contains("Peers")
      optional: true
      default: 0
      filters:
        - name: regexp
          args: "Peers: (\\d+)"
    grabs:
      selector: p:contains("Completed Downloads")
      optional: true
      default: 0
      filters:
        - name: regexp
          args: "Completed Downloads: (\\d+)"
    downloadvolumefactor:
      text: 0
    uploadvolumefactor:
      text: 1
# WordPress 2.5
